---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsp03t002.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x14E0, symBinAddr: 0x2860, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x52BC0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xA4, offset: 0xA4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3960, symSize: 0x270 }
  - { offsetInCU: 0xB10, offset: 0xB10, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52FA0, symBinAddr: 0xC380, symSize: 0x0 }
  - { offsetInCU: 0xB37, offset: 0xB37, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54EE0, symBinAddr: 0xE2C0, symSize: 0x0 }
  - { offsetInCU: 0xB59, offset: 0xB59, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x552D0, symBinAddr: 0xE6B0, symSize: 0x0 }
  - { offsetInCU: 0xB7B, offset: 0xB7B, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56270, symBinAddr: 0xF650, symSize: 0x0 }
  - { offsetInCU: 0xB90, offset: 0xB90, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56280, symBinAddr: 0xF660, symSize: 0x0 }
  - { offsetInCU: 0xC0B, offset: 0xC0B, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52BB0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC16, offset: 0xC16, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52BB4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xC21, offset: 0xC21, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52BB8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC66, offset: 0xC66, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52D10, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52DC8, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0xCFD, offset: 0xCFD, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x52DCC, symBinAddr: 0xC29C, symSize: 0x0 }
  - { offsetInCU: 0xD16, offset: 0xD16, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52DD0, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0xD2F, offset: 0xD2F, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52DD4, symBinAddr: 0xC2A4, symSize: 0x0 }
  - { offsetInCU: 0xD48, offset: 0xD48, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52DD8, symBinAddr: 0xC2A8, symSize: 0x0 }
  - { offsetInCU: 0x9337, offset: 0x9337, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52DE0, symBinAddr: 0xC2B0, symSize: 0x0 }
  - { offsetInCU: 0x93C0, offset: 0x93C0, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x52DF0, symBinAddr: 0xC2C0, symSize: 0x0 }
  - { offsetInCU: 0x93D9, offset: 0x93D9, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52DF8, symBinAddr: 0xC2C8, symSize: 0x0 }
  - { offsetInCU: 0x93F2, offset: 0x93F2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52E00, symBinAddr: 0xC2D0, symSize: 0x0 }
  - { offsetInCU: 0x940B, offset: 0x940B, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52E08, symBinAddr: 0xC2D8, symSize: 0x0 }
  - { offsetInCU: 0x9424, offset: 0x9424, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52E10, symBinAddr: 0xC2E0, symSize: 0x0 }
  - { offsetInCU: 0x943E, offset: 0x943E, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52E18, symBinAddr: 0xC2E8, symSize: 0x0 }
  - { offsetInCU: 0x9525, offset: 0x9525, size: 0x8, addend: 0x0, symName: __ZL19testedThreadRunning, symObjAddr: 0x52E5C, symBinAddr: 0xC2FC, symSize: 0x0 }
  - { offsetInCU: 0x953F, offset: 0x953F, size: 0x8, addend: 0x0, symName: __ZL24testedThreadShouldFinish, symObjAddr: 0x52E60, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x9558, offset: 0x9558, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52E68, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x9571, offset: 0x9571, size: 0x8, addend: 0x0, symName: __ZL12threadsCount, symObjAddr: 0x52E70, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x958A, offset: 0x958A, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x52E78, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x95A3, offset: 0x95A3, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x52EB8, symBinAddr: 0xC328, symSize: 0x0 }
  - { offsetInCU: 0x95BC, offset: 0x95BC, size: 0x8, addend: 0x0, symName: __ZL13threadsCounts, symObjAddr: 0x52EC0, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x95E1, offset: 0x95E1, size: 0x8, addend: 0x0, symName: __ZL11threadsList, symObjAddr: 0x52EE0, symBinAddr: 0xC350, symSize: 0x0 }
  - { offsetInCU: 0x9606, offset: 0x9606, size: 0x8, addend: 0x0, symName: __ZL11threadsName, symObjAddr: 0xEEF0, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x968E, offset: 0x968E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2200, symSize: 0x80 }
  - { offsetInCU: 0x9723, offset: 0x9723, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2150, symSize: 0xB0 }
  - { offsetInCU: 0x977E, offset: 0x977E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2050, symSize: 0x100 }
  - { offsetInCU: 0x9A11, offset: 0x9A11, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2280, symSize: 0xC0 }
  - { offsetInCU: 0x9A63, offset: 0x9A63, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2340, symSize: 0x220 }
  - { offsetInCU: 0x9C48, offset: 0x9C48, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2560, symSize: 0xA0 }
  - { offsetInCU: 0x9CFB, offset: 0x9CFB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2600, symSize: 0x110 }
  - { offsetInCU: 0x9DF1, offset: 0x9DF1, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2710, symSize: 0x150 }
  - { offsetInCU: 0x9F4E, offset: 0x9F4E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2B80, symSize: 0x30 }
  - { offsetInCU: 0xA07B, offset: 0xA07B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2BB0, symSize: 0x150 }
  - { offsetInCU: 0xA273, offset: 0xA273, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2D00, symSize: 0x160 }
  - { offsetInCU: 0xA533, offset: 0xA533, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2E60, symSize: 0x4A0 }
  - { offsetInCU: 0xA7CC, offset: 0xA7CC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2860, symBinAddr: 0x3300, symSize: 0xE0 }
  - { offsetInCU: 0xA88C, offset: 0xA88C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x33E0, symSize: 0x1B0 }
  - { offsetInCU: 0xAAA7, offset: 0xAAA7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3590, symSize: 0xA0 }
  - { offsetInCU: 0xABA2, offset: 0xABA2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3630, symSize: 0x20 }
  - { offsetInCU: 0xABD9, offset: 0xABD9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3650, symSize: 0x20 }
  - { offsetInCU: 0xAC10, offset: 0xAC10, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3670, symSize: 0x20 }
  - { offsetInCU: 0xAD9F, offset: 0xAD9F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3690, symSize: 0x1A0 }
  - { offsetInCU: 0xB0BB, offset: 0xB0BB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3830, symSize: 0x130 }
  - { offsetInCU: 0xB26B, offset: 0xB26B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3BD0, symSize: 0x1B0 }
  - { offsetInCU: 0xB55A, offset: 0xB55A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3D80, symSize: 0x80 }
  - { offsetInCU: 0xB623, offset: 0xB623, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3E00, symSize: 0x6A0 }
  - { offsetInCU: 0xC1B8, offset: 0xC1B8, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xABD0, symBinAddr: 0x5B60, symSize: 0xB0 }
  - { offsetInCU: 0xC22F, offset: 0xC22F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x44A0, symSize: 0x70 }
  - { offsetInCU: 0xC2EB, offset: 0xC2EB, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4510, symSize: 0xA0 }
  - { offsetInCU: 0xC3CA, offset: 0xC3CA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x45B0, symSize: 0x40 }
  - { offsetInCU: 0xC4C0, offset: 0xC4C0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x45F0, symSize: 0x2B0 }
  - { offsetInCU: 0xC866, offset: 0xC866, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x48A0, symSize: 0xC0 }
  - { offsetInCU: 0xC9AC, offset: 0xC9AC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4960, symSize: 0x10 }
  - { offsetInCU: 0xCA6E, offset: 0xCA6E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4970, symSize: 0x220 }
  - { offsetInCU: 0xCD6B, offset: 0xCD6B, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4B90, symSize: 0x10 }
  - { offsetInCU: 0xCDC8, offset: 0xCDC8, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4BA0, symSize: 0x260 }
  - { offsetInCU: 0xD08F, offset: 0xD08F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E70, symBinAddr: 0x4E00, symSize: 0x10 }
  - { offsetInCU: 0xD0EC, offset: 0xD0EC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP03_sp03t002ThreadRunningNative_nativeMethod, symObjAddr: 0x9E80, symBinAddr: 0x4E10, symSize: 0x60 }
  - { offsetInCU: 0xD15C, offset: 0xD15C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP03_sp03t002ThreadRunningNative_checkReady, symObjAddr: 0x9EE0, symBinAddr: 0x4E70, symSize: 0x40 }
  - { offsetInCU: 0xD1E8, offset: 0xD1E8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP03_sp03t002ThreadRunningNative_letFinish, symObjAddr: 0x9F20, symBinAddr: 0x4EB0, symSize: 0x10 }
  - { offsetInCU: 0xD375, offset: 0xD375, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F30, symBinAddr: 0x4EC0, symSize: 0xCA0 }
  - { offsetInCU: 0xDD68, offset: 0xDD68, size: 0x8, addend: 0x0, symName: __ZL12checkThreadsiPKcl, symObjAddr: 0xAFF0, symBinAddr: 0x5F80, symSize: 0x1EE }
  - { offsetInCU: 0xDF31, offset: 0xDF31, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAC80, symBinAddr: 0x5C10, symSize: 0x370 }
...
